summaryrefslogtreecommitdiffstats
path: root/display
diff options
context:
space:
mode:
authorDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-06-19 17:39:42 +0200
committerDenis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>2020-07-03 05:27:51 +0200
commit2f4a3921c4a1b9e0d45292dcb4f6ea65e35c667b (patch)
tree222cd55f463dda7a533984ce849a67b7cbb238f9 /display
parent704812e8758d65b49bfa3f398ab91b6a9ef03581 (diff)
downloadvendor_replicant-scripts-2f4a3921c4a1b9e0d45292dcb4f6ea65e35c667b.tar.gz
vendor_replicant-scripts-2f4a3921c4a1b9e0d45292dcb4f6ea65e35c667b.tar.bz2
vendor_replicant-scripts-2f4a3921c4a1b9e0d45292dcb4f6ea65e35c667b.zip
display: renderer: setup.sh: sync with the modem setup.shreplicant-6.0-0004-rc2
The modem setup.sh had got a lot of improvements. As the only difference with the modem.sh is the use of graphics.sh instead of modem.sh which has already been sent for review and that not many people have the time to do reviewes, it's best to rely on the modem setup.sh review process instead and group all the changes in a single patch for the display renderer. Signed-off-by: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
Diffstat (limited to 'display')
-rwxr-xr-xdisplay/renderer/setup.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/display/renderer/setup.sh b/display/renderer/setup.sh
index ac5abe8..3864533 100755
--- a/display/renderer/setup.sh
+++ b/display/renderer/setup.sh
@@ -1,5 +1,11 @@
-root_dir="/data/misc/renderer"
-adb root
-sleep 3
-adb shell mkdir -p "$root_dir"
-adb push ./device-files/* "$root_dir/"
+#!/bin/sh
+topdir=$(dirname $0)
+adb root | grep "^root access"
+ret="$?"
+if [ "${ret}" -ne 0 ] ; then
+ adb wait-for-device
+ adb remount
+ adb push "${topdir}/device-files/graphics.sh" /system/bin/
+ adb shell "mount -o remount,ro /system"
+ adb shell "sync"
+fi